#!/bin/sh

VERSION="2.5.49"
DAEMON=/var/sbin/spcs
NAME=spcs
ARGS="$2 $3 $4 $5"

test -f $DAEMON || exit 0
set -e

case "$1" in
  start)
	echo "[SCRIPT] $1: $NAME $ARGS"
	rm -rf /tmp/ecm.info
	rm -rf /tmp/spcs.log*
	rm -rf /tmp/spcs.sids
	rm -rf /tmp/spcs.chids
	start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
	echo "done."
;;
  stop)
	echo "[SCRIPT] $1: $NAME"
	start-stop-daemon -K -n $NAME 2>/dev/null &
	echo "done."
	;;
  restart)
  	$0 stop
	$0 start $ARGS
	;;
  *)
	echo "Usage: $0 {start|stop|restart}"
	exit 1
	;;
esac

exit 0
